from django.core.management.base import BaseCommand

from arkindex.ponos.keys import gen_private_key


class Command(BaseCommand):
    help = "Generate a Ponos server private key"

    def add_arguments(self, parser):
        parser.add_argument(
            "path",
            help="Destination file for the key in PEM format.",
        )

    def handle(self, *args, path=None, **kwargs):
        gen_private_key(path)
        self.stdout.write(
            self.style.SUCCESS("Generated a new private key to {}".format(path))
        )
